# General Translation Platform: Recupera lo stato della traduzione di un file
URL: https://generaltranslation.com/it/docs/platform/openapi/reference/files/translation-status.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Restituisce l'avanzamento e la disponibilità delle traduzioni per impostazione regionale per un file sorgente, insieme ai relativi metadati sorgente. Riferimento API per Recupera lo stato della traduzione di un file.

{/* Questo file è stato generato da Fumadocs. Non modificare questo file direttamente. Eventuali modifiche devono essere apportate eseguendo di nuovo il comando di generazione. */}

## Endpoint

`GET https://api.gtx.dev/v2/project/translations/files/status/{fileId}`

**Operation ID:** `getTranslationStatus`

**Tags:** `Files`

**Summary:** Get translation status for a file

Return translation progress and availability by locale for one source file, along with its source metadata.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `fileId` (path, string, required)
- `versionId` (query, string, optional)
- `branchId` (query, string, optional)
- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Responses

**200**: Translation status
Response body (`application/json`, object):
- `translations` (object[], required)
  - `locale` (string, required)
  - `completedAt` (string | null (date-time), required)
  - `approvedAt` (string | null (date-time), required)
  - `publishedAt` (string | null (date-time), required)
  - `createdAt` (string | null (date-time), required)
  - `updatedAt` (string | null (date-time), required)
- `sourceFile` (object, required)
  - `id` (string, required)
  - `branchId` (string, required)
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `fileName` (string, required)
  - `sourceLocale` (string, required)
  - `fileFormat` ("GTJSON" | "MDX" | "JSON" | "YAML" | "MD" | "TS" | "JS" | "HTML" | "TXT" | "PO" | "POT" | "TWILIO_CONTENT_JSON" | "LOTTIE" | "SVG" | "XCSTRINGS" | "DOT_STRINGS" | "DOT_STRINGSDICT" | "ANDROID_STRINGS", required)
  - `dataFormat` (string | null, required)
  - `createdAt` (string (date-time), required)
  - `updatedAt` (string (date-time), required)
  - `locales` (string[], required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
